NANOLYSE(1)

NAME
NanoLyse - remove lambda phage reads from a fastq file

SYNOPSIS
NanoLyse [-h] [-v] [-r REFERENCE] [--logfile LOGFILE]

DESCRIPTION
Remove reads mapping to the lambda genome. Reads fastq from stdin and writes to stdout.

OPTIONS

  optional arguments:

-r, --reference REFERENCE
    Specify a reference fasta file against which to filter.

--logfile LOGFILE
    Specify the path and filename for the log file.

  General options:

-h, --help
    show the help and exit

-v, --version
    Print version and exit.

EXAMPLES:

    gunzip -c reads.fastq.gz | NanoLyse | gzip > reads_without_lambda.fastq.gz gunzip -c reads.fastq.gz | NanoLyse | NanoFilt -q 12 | gzip > filtered_reads_without_lambda.fastq.gz gunzip -c reads.fastq.gz | NanoLyse --reference mygenome.fa.gz | gzip > reads_without_mygenome.fastq.gz

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.